Package tigase.server.xmppserver

## Class S2SConnection

- java.lang.Object
- - tigase.server.xmppserver.S2SConnection

- All Implemented Interfaces:
    `java.lang.Comparable<S2SConnection>`

      public class S2SConnection
      extends java.lang.Object
      implements java.lang.Comparable<S2SConnection>

  Created: Jun 14, 2010 1:19:55 PM
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `S2SConnection​(S2SConnectionHandlerIfc<S2SIOService> handler, java.lang.String ip)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addControlPacket​(Packet packet)` |
    `int` | `compareTo​(S2SConnection o)` |
    `java.lang.String` | `getIPAddress()` |
    `S2SIOService` | `getS2SIOService()` |
    `int` | `getWaitingControlCount()` |
    `boolean` | `isConnected()` |
    `void` | `sendAllControlPackets()` |
    `boolean` | `sendPacket​(Packet packet)` |
    `void` | `setS2SIOService​(S2SIOService serv)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S2SConnection

          public S2SConnection​(S2SConnectionHandlerIfc<S2SIOService> handler,
                               java.lang.String ip)

  - ### Method Detail

    - #### addControlPacket

          public void addControlPacket​(Packet packet)

    - #### compareTo

          public int compareTo​(S2SConnection o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<S2SConnection>`

    - #### getIPAddress

          public java.lang.String getIPAddress()

    - #### getS2SIOService

          public S2SIOService getS2SIOService()

    - #### setS2SIOService

          public void setS2SIOService​(S2SIOService serv)

    - #### getWaitingControlCount

          public int getWaitingControlCount()

    - #### isConnected

          public boolean isConnected()

    - #### sendAllControlPackets

          public void sendAllControlPackets()

    - #### sendPacket

          public boolean sendPacket​(Packet packet)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`